> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List Market Partners

> Returns a list of all known providers/utilities from the Lumenaza database with the market partner ID (mpid) and company name. This list is updated every two months.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/marketpartners/provider/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/marketpartners/provider/:
    get:
      tags:
        - marketpartners
      summary: List Market Partners
      description: >-
        Returns a list of all known providers/utilities from the Lumenaza
        database with the market partner ID (mpid) and company name. This list
        is updated every two months.
      operationId: marketpartners_provider_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarketPartner'
          description: ''
components:
  schemas:
    MarketPartner:
      type: object
      properties:
        mpid:
          type: string
          title: Marktpartner ID
          maxLength: 35
        company_name:
          type: string
          title: Firmenname
          maxLength: 256
      required:
        - company_name
        - mpid

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.